--Texture Names----------------------------------------------------------------
  --Blowfish-------------------------------------------------------------------
    TXTRENAME_Blowfish = 'Blowfish'
    
  --Clam-----------------------------------------------------------------------
    
  --EeL------------------------------------------------------------------------
	TXTRENAME_EelSwim = 'EelSwim' 
    
    
  --Jellyfish------------------------------------------------------------------
    TXTRENAME_Jelly = 'Jelly'
        
  --Manatee--------------------------------------------------------------------
    TXTRENAME_Manatee = 'Manatee'
    
  --Mine-----------------------------------------------------------------------
	TXTRENAME_Mine = 'Mine'
    
  --SharkRight-----------------------------------------------------------------
    TXTRENAME_SharkRight = 'SharkRight' 
    
  --Tile-----------------------------------------------------------------------
    TXTRENAME_Tiles = 'Tiles'
  
  --Key------------------------------------------------------------------------
    TXTRENAME_Key = 'Key'
    
  --Door-----------------------------------------------------------------------
    TXTRENAME_Door = 'Door'
    
  --Player---------------------------------------------------------------------
    TXTRENAME_PlayerOverlay = 'Player_Overlay'
    TXTRENAME_2ndPlayerOverlay = '2nd_Player_Overlay'
    TXTRENAME_SquishyBody = 'Player_SquishyBody'
    TXTRENAME_SquishyFaces  = 'Player_SquishyFaces'
  
  --MenuButton-----------------------------------------------------------------
    TXTRENAME_MenuButton = 'Menu_Button'
    TXTRENAME_MenuButton2 = 'Menu_Button2'

  --TilesAngle-----------------------------------------------------------------
    TXTRENAME_TilesAngle = 'TilesAngle'

  --Cursor---------------------------------------------------------------------
    TXTRENAME_Cursor = 'Cursor'
    
  --Sign-----------------------------------------------------------------------
    TXTRENAME_Sign = 'Sign'
    
  --Urchin---------------------------------------------------------------------
    TXTRENAME_Urchin= 'Urchin' 
    
  --Vent-----------------------------------------------------------------------
    TXTRENAME_Vent = 'Vent'
    TXTRENAME_AirTank = 'AirTank'
    
    
  --Music Background-----------------------------------------------------------
    TXTRENAME_MusicBackground = 'MusicBackground' 
    
  --SharkLeft------------------------------------------------------------------
    TXTRENAME_SharkLeft = 'SharkLeft' 
    
  --Bobber---------------------------------------------------------------------
    TXTRENAME_Bobber = 'Bobber' 
    
  --HealthHUD------------------------------------------------------------------
    TXTRENAME_HealthHUD = 'HealthHUD' 
    
  --TutorialTextBox------------------------------------------------------------
    TXTRENAME_TutTxtBox = 'TxtBox' 
    TXTRENAME_TutTxtBox2 = 'TxtBox2' 
    
  --Exclaimation---------------------------------------------------------------
    TXTRENAME_Exclaimation = 'Exclaimation' 
    
  --EndChest---------------------------------------------------------------
    TXTRENAME_EndChest = 'EndChest' 
        
-------------------------------------------------------------------------------
-- Author: Michael Beach
-- Date Last Updated: November 26th, 2005
-- Returns: False if loading any texture fails, true if all are successful.
-- Brief: Loads every texture needed for the game.
--
-- Precondition: No textures are loaded yet.
-- PostCondition: All textures have been loaded.
--
-- To Do: Gradually add textures.
--
-- Bugs:
-------------------------------------------------------------------------------
function LoadTextures( )

    -- load all the textures needed at startup
    -- note that paths are from the sln, not this file
    
    -- load the blowfish's textures
  if( GFX:LoadTexture( TXTRENAME_Blowfish, '_Assets/_art/art_blowfish.png' ) == false )
    then return false
      
    -- load the end chest's textures
  elseif( GFX:LoadTexture( TXTRENAME_EndChest, '_Assets/_art/art_chest.png' ) == false )
    then return false
    
    -- load the health hud's textures
  elseif( GFX:LoadTexture( TXTRENAME_HealthHUD, '_Assets/_art/art_healthHUD.png' ) == false )
    then return false
  
    -- load the jellyfish's textures
  elseif( GFX:LoadTexture( TXTRENAME_Jelly, '_Assets/_art/art_jelly.png' ) == false )
    then return false
    
      -- load the manatee's textures
  elseif( GFX:LoadTexture( TXTRENAME_Manatee, '_Assets/_art/art_manatee.png' ) == false )
    then return false 
    
    -- load the mine's textures
  elseif( GFX:LoadTexture( TXTRENAME_Mine, '_Assets/_art/art_mine.png' ) == false )
    then return false
   
    -- load the shark's texture
  elseif( GFX:LoadTexture( TXTRENAME_SharkRight, '_Assets/_art/art_sharkSwimRight.png' ) == false )
    then return false
    
    -- load the shark's texture
  elseif( GFX:LoadTexture( TXTRENAME_SharkLeft, '_Assets/_art/art_sharkSwimLeft.png' ) == false )
    then return false
    
    -- load the tile's textures
  elseif( GFX:LoadTexture( TXTRENAME_Tiles, '_Assets/_art/art_tiles.png' ) == false )
    then return false
    
    -- load the key's textures
  elseif( GFX:LoadTexture( TXTRENAME_Key, '_Assets/_art/art_Key.png' ) == false )
    then return false
    
    -- load the door's textures
  elseif( GFX:LoadTexture( TXTRENAME_Door, '_Assets/_art/art_door.png' ) == false )
    then return false
    
    -- load the player's overlay texture
  elseif( GFX:LoadTexture( TXTRENAME_PlayerOverlay, '_Assets/_art/art_starfishOverlay.png' ) == false )
    then return false
    
    -- load the player's overlay texture
  elseif( GFX:LoadTexture( TXTRENAME_2ndPlayerOverlay, '_Assets/_art/art_starfishOverlay2.png' ) == false )
    then return false
    
    -- load squishy's textures
  elseif( GFX:LoadTexture( TXTRENAME_SquishyBody, '_Assets/_art/art_squishyBody.png' ) == false )
    then return false

     -- load squishy's face textures 
   elseif( GFX:LoadTexture( TXTRENAME_SquishyFaces, '_Assets/_art/art_squishyFaces.png' ) == false ) 
     then return false
     
    -- load menu button textures
  elseif( GFX:LoadTexture( TXTRENAME_MenuButton, '_Assets/_art/art_buttons2.png' ) == false )
    then return false
    
  elseif( GFX:LoadTexture( TXTRENAME_MenuButton2, '_Assets/_art/art_buttons.png' ) == false )
    then return false
    
    -- load tile angle textures
  elseif( GFX:LoadTexture( TXTRENAME_TilesAngle, '_Assets/_art/art_tilesAngle.png' ) == false )
    then return false
    
    -- load cursor textures
  elseif( GFX:LoadTexture( TXTRENAME_Cursor, '_Assets/_art/art_cursor.png' ) == false )
    then return false
    
    -- load the sign texture
  elseif( GFX:LoadTexture( TXTRENAME_Sign, '_Assets/_art/art_sign.png' ) == false )
    then return false
    
    -- load the urchin's texture
  elseif( GFX:LoadTexture( TXTRENAME_Urchin, '_Assets/_art/art_urchin.png' ) == false )
    then return false
    
    -- load the eel's texture
  --elseif( GFX:LoadTexture( TXTRENAME_EelSwim, '_Assets/_art/art_eelSwim.png' ) == false )
    --then return false
    
    -- load the Vent's texture
  elseif( GFX:LoadTexture( TXTRENAME_Vent, '_Assets/_art/art_vent.png' ) == false )
    then return false
  elseif( GFX:LoadTexture( TXTRENAME_AirTank, '_Assets/_art/art_airTank.png' ) == false )
    then return false
    
    -- load the Bobber's texture
  elseif( GFX:LoadTexture( TXTRENAME_Bobber, '_Assets/_art/art_bobber.png' ) == false )
    then return false
    
    -- load the Text Box's texture
  elseif( GFX:LoadTexture( TXTRENAME_TutTxtBox, '_Assets/_art/art_TutorialTxtBox.png' ) == false )
    then return false
  elseif( GFX:LoadTexture( TXTRENAME_TutTxtBox2, '_Assets/_art/art_TutorialTxtBox2.png' ) == false )
    then return false
    
    -- load the Exclaimations's texture
  elseif( GFX:LoadTexture( TXTRENAME_Exclaimation, '_Assets/_art/art_exclaimation.png' ) == false )
    then return false
    
  end

  return true
end
